Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4995 - bash shell scripts do not appear to run suid
Summary: bash shell scripts do not appear to run suid
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bash
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-08 18:58 UTC by dmartin
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-09 14:20:52 UTC


Attachments (Terms of Use)

Description dmartin 1999-09-08 18:58:58 UTC
Have need to allow setuid scripts.  They do not appear to be
working with RH 6.0 despite the file having the permissions
and ownership:

-rwsr-xr-x   1 root     root

and the first line is

#!/bin/sh

(also tried /bin/bash.. no difference)

Comment 1 Bill Nottingham 1999-09-09 14:20:59 UTC
Setuid scripts will not work on linux. It's a security hole.

You could always write a short setuid wrapper program in C....


Note You need to log in before you can comment on or make changes to this bug.